<?php
/**
 * Class MassDeleteDomainForm
 * User: ThurData
 * Date: 2019-10-11
 * Time: 11:24
 * @package ThurData\Servers\KerioEmail\App\UI\Client\DomainAlias\Forms
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\DomainAlias\Forms;

use ThurData\Servers\KerioEmail\App\UI\Client\DomainAlias\Providers\DeleteDomainAliasProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\BaseForm;

class MassDeleteDomainAliasForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteDomainAliasForm';
    protected $name  = 'massDeleteDomainAliasForm';
    protected $title = 'massDeleteDomainAliasForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteDomainAliasProvider();

        $this->setConfirmMessage('confirmMassDeleteDomainAlias');

        $this->loadDataToForm();
    }

}